require 'OOoUtils'

module OOo
  class Content
    #--=======================================================================
    #++
    def initialize( src ) 
      @doc = REXML::Document.new( src.to_s )   
    end
    
    #--=======================================================================
    #++
    def find( data )
      return re_find( data ) if data.is_a? Regexp
      return xpath_find( data )
    end


    #--=======================================================================
    #++
    def to_s
       @doc.to_s
    end

    #--=======================================================================
    #++
    def re_find( re )
       begin
         @doc.elements.to_a( "//*" ).each{ |node| 
           return node.text if node.text =~ re
         }
       rescue Exception
         raise OOo::OOoException.new( "Error finding with regexp '#{re.inspect}': #{$!}", $@ ) 
       end
       nil
     end
 
    #--=======================================================================
    #++
    def xpath_find( xpath )
      begin
        return @doc.elements.to_a( xpath.to_s  )        
      rescue Exception
        raise OOo::OOoException.new( "Error finding with xpath '#{xpath}': #{$!}", $@ ) 
      end  
    end


    #--=======================================================================
    #++
    def p_el( text, style='Standard' )
     el = REXML::Element.new( "text:p" )
     el.attributes[ "text:style-name" ] = style.to_s
     el.text = text.to_s
     el
    end
    
    #--=======================================================================
    #++
    #  Inserts a new text:p element at the given location.  
    def insert( p_text, location = -1 )
    
      para = p_el( p_text )
      body = @doc.elements.to_a( "*/office:body" )[0]
      p_nodes = @doc.elements.to_a( "*/office:body/text:p" )

      
      location = ( location < 0 ? p_nodes.size + location :  location  )
      
     # body.insert_after( p_nodes [ location   ]  , para )
     
      $stderr.puts "location = #{location}"
      $stderr.puts "p_nodes.size = #{p_nodes.size}"
      body[ location, 0 ] = para
       
    #  p_nodes = @doc.elements.( "*/office:body/text:p" )
    #  $stderr.puts "p_nodes.size = #{p_nodes.size}"
    end

    
    def get( el_name, location = 0 )
  #    body = @doc.elements.to_a( "*/office:body" )[0]
      p_nodes = @doc.elements.to_a( "*/office:body/#{el_name}" )
      p_nodes[ location ].texts.map { |tx| tx.to_s }.join( "" )
    end
  end
end
