#!/bin/env ruby

$:.push '../lib/OOo4R' 
require 'ftools' 
require "test/unit"
require 'OOo'

include OOo

class TC_OOoModify < Test::Unit::TestCase

  def setup
    $doc_path = "../examples"
    $test_doc_1 =  File.expand_path( "#{$doc_path}/test_doc_01.sxw" )
    $filecopy = "testcopy.sxw"
    File.copy( $test_doc_1 , $filecopy  )
    $ooo = OOo::Doc.new( $filecopy , true )
  end

  def tear_down
    File.unlink( $filecopy ) if File.exists? $filecopy
  end


  def xtest_set_title
    $ooo.title = "The new title"
    assert_equal(  "The new title" , $ooo.title )
  end


  def test_add_middle_paragraph
    new_text = "This is the REALLY NEW text"
    location = 3  
    $ooo.insert( new_text, location );
    
    text = $ooo.find( /REALLY NEW/ )
    assert_equal( new_text, text, "Did not find the text that should have been added."  )

    text = $ooo.get_content( "text:p" , location )
    
    assert_equal( new_text, text , "Did not retrieve the new paragrapgh" )

    $stderr.puts   $ooo.to_s
  end
  
  
end
