#!/bin/env ruby

$:.push '../lib/OOo4R' 
require 'ftools' 
require "test/unit"
require 'OOo'

include OOo
class TC_OOo < Test::Unit::TestCase

  def setup
    $doc_path = "../examples"
    $test_doc_1 =  File.expand_path( "#{$doc_path}/test_doc_01.sxw" )
  end

  def tear_down
  end

  def test_create_doc
    ooo = OOo::Doc.new( )
    assert_equal( ooo.class, OOo::Doc )
  end


  def test_new_from_file
    ooo = OOo::Doc.new( $test_doc_1 )
    assert_equal(  OOo::Writer , ooo.class)
  end

  def test_load_xml
    ooo = OOo::Doc.new( $test_doc_1, true )
    assert_equal(  OOo::Writer , ooo.class)
  end
  
  def test_get_title
    ooo = OOo::Doc.new( $test_doc_1, true )
    assert_equal(  "The Test Title" , ooo.title )
  end

  def test_set_title
    ooo = OOo::Doc.new( $test_doc_1, true )
    ooo.title = "The new title"
    assert_equal(  "The new title" , ooo.title )
  end

  
end
