#!/bin/env ruby

$:.push '../lib/OOo4R' 
require 'ftools' 
require "test/unit"
require 'OOo'

include OOo

class TC_OOo < Test::Unit::TestCase

  def setup
    $doc_path = "../examples"
    $test_doc_1 =  File.expand_path( "#{$doc_path}/test_doc_01.sxw" )
    $filecopy = "testcopy.sxw"
    File.copy( $test_doc_1 , $filecopy  )
    $ooo = OOo::Doc.new( $filecopy , true )
  end

  def tear_down
    File.unlink( $filecopy ) if File.exists? $filecopy
  end


  def Xtest_set_title
    $ooo.title = "The new title"
    assert_equal(  "The new title" , $ooo.title )
  end

  def Xtest_save
    new_title = "Some new title #{Time.new.to_s}"
    old_title = $ooo.title
    $ooo.title = new_title
    $ooo.save
    $ooo = OOo::Doc.new( $filecopy, true )
    assert_equal(  new_title , $ooo.title )

  end

  def test_add_and_save_content
    new_text = "This is the NEW text"
    $ooo.insert( new_text );
    text = $ooo.find( /NEW/ )
    assert_equal( new_text, text  )
    $ooo.save
    $ooo = OOo::Doc.new( $filecopy , true )
    text = $ooo.find( /NEW/ )
    assert_equal( new_text, text  )
  end
  
  
end
